curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"overview": {
"total": 0
},
"trends": [
{
"_id": "2023-11-07T05:31:56Z",
"successful": 0,
"failed": 0
}
],
"source": [
{
"_id": "<string>",
"count": 0
}
],
"utm_source": [
{
"_id": "<string>",
"count": 0
}
],
"utm_medium": [
{
"_id": "<string>",
"count": 0
}
],
"utm_campaign": [
{
"_id": "<string>",
"count": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Appointments Dashboard
curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-qa.interactly.ai/integrations/v2/resource-records/{integration_id}/appointments/statistics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"overview": {
"total": 0
},
"trends": [
{
"_id": "2023-11-07T05:31:56Z",
"successful": 0,
"failed": 0
}
],
"source": [
{
"_id": "<string>",
"count": 0
}
],
"utm_source": [
{
"_id": "<string>",
"count": 0
}
],
"utm_medium": [
{
"_id": "<string>",
"count": 0
}
],
"utm_campaign": [
{
"_id": "<string>",
"count": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
24^[0-9a-f]{24}$"5eb7cf5a86d9755df3a6c593"
Query Parameters
Filter statistics by appointment type
Enable debug mode to include additional logging for troubleshooting
Number of items per page
x >= 1Page number
x >= 1Search keywords
Filter by start time (ISO 8601 format)
Filter by end time (ISO 8601 format)
Response
Successful Response
Response model for appointments dashboard data. Contains overview, trends, and source information for appointments.
Overview of total appointments in the date range
Show child attributes
Show child attributes
List of appointment trends broken down by date, showing successful and failed counts
Show child attributes
Show child attributes
List of appointment sources with counts, showing where appointments originated
Show child attributes
Show child attributes
Unique UTM source values with counts. Defaults to 'direct' when not set.
Show child attributes
Show child attributes
Unique UTM medium values with counts. Defaults to 'not set' when not set.
Show child attributes
Show child attributes
Unique UTM campaign values with counts. Defaults to 'not set' when not set.
Show child attributes
Show child attributes